Bug 207400 - numactl missing nodebind info on dual core systems
Summary: numactl missing nodebind info on dual core systems
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: numactl   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-20 22:25 UTC by Bryn M. Reeves
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0202
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:48:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
numactl output (923 bytes, text/plain)
2006-09-20 22:25 UTC, Bryn M. Reeves
no flags Details
correct numa_parse_bitmap for dual core systems (542 bytes, patch)
2006-09-21 14:54 UTC, Bryn M. Reeves
no flags Details | Diff
reviced patch (516 bytes, patch)
2006-09-21 15:18 UTC, Bryn M. Reeves
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0202 normal SHIPPED_LIVE numactl bug fix update 2007-05-01 23:38:46 UTC

Description Bryn M. Reeves 2006-09-20 22:25:53 UTC
Description of problem:
numactl does not output nodebind information for all cores in a dual core system.

Version-Release number of selected component (if applicable):
numactl-0.6.4-1.28

$ for i in `seq 0 7`; do taskset -c $i numactl --show | grep nodebind; done
nodebind: 0
nodebind: 1
nodebind: 2
nodebind: 3
nodebind:
nodebind:
nodebind:
nodebind:

On this system (dl585), core id's > 0 are not reported.
Also reported to affect other AMD dual core systems.

Problem still exists in numactl-0.9.8-1.33.

Reported as fixed upstream in 0.9.10.

Comment 1 Bryn M. Reeves 2006-09-20 22:25:57 UTC
Created attachment 136791 [details]
numactl output

Comment 2 Neil Horman 2006-09-21 11:21:39 UTC
I think you were testing with a too-early release.  There should be a nodebind
patch in numactl-0.9.8-1.35 (the changelog release numbers appear to be a bit off).

Comment 3 Bryn M. Reeves 2006-09-21 13:57:10 UTC
Re-tested with 0.9.8-1.35 - same problem.

I've confirmed now that this was fixed upstream between 0.9.9 and 0.9.10 on our
dl585.

At least that gives a smaller set of changes to look at than from the RHEL4 / 5
packages to 0.9.10.


Comment 4 Bryn M. Reeves 2006-09-21 14:54:41 UTC
Created attachment 136862 [details]
correct numa_parse_bitmap for dual core systems

I've narrowed the problem down to a one-line change in numa_parse_bitmap - we
weren't handling the case when the first while loop terminates on a ','
character.

I've tested this myself on the dl585 - building an RPM now based on the RHEL5
package with this change.

Proposed patch taken directly from  0.9.10.

Comment 5 Neil Horman 2006-09-21 15:07:05 UTC
please set the RHEL5 version back to waiting on tech please, and I'll fix this
in both locations

Comment 6 Bryn M. Reeves 2006-09-21 15:18:03 UTC
Created attachment 136867 [details]
reviced patch

earlier patch had borked path

Comment 7 Neil Horman 2006-09-21 16:09:55 UTC
fixed in release -1.37.  Thanks!

Comment 11 Neil Horman 2006-10-23 14:48:21 UTC
Kent, see comment #7.  Backported in -1.37

Comment 17 Red Hat Bugzilla 2007-05-01 17:48:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0202.html



Note You need to log in before you can comment on or make changes to this bug.